Subject: [Idr] [Errata Verified] RFC4271 (4493)

From: RFC Errata System <[email-masked]>
Date: Thu, 14 Jul 2016 05:45:35 -0700 (PDT)

The following errata report has been verified for RFC4271,
"A Border Gateway Protocol 4 (BGP-4)". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4271&eid=4493

--------------------------------------
Status: Verified
Type: Technical

Reported by: Bruno Decraene <[email-masked]>
Date Reported: 2015-10-06
Verified by: Alvaro Retana (IESG)

Section: 4.5

Original Text
-------------
      Message Header Error subcodes:

               1 - Connection Not Synchronized.
               2 - Bad Message Length.
               3 - Bad Message Type.

      OPEN Message Error subcodes:

               1 - Unsupported Version Number.
               2 - Bad Peer AS.
               3 - Bad BGP Identifier.
               4 - Unsupported Optional Parameter.
               5 - [Deprecated - see Appendix A].
               6 - Unacceptable Hold Time.

      UPDATE Message Error subcodes:

               1 - Malformed Attribute List.
               2 - Unrecognized Well-known Attribute.
               3 - Missing Well-known Attribute.
               4 - Attribute Flags Error.
               5 - Attribute Length Error.
               6 - Invalid ORIGIN Attribute.
               7 - [Deprecated - see Appendix A].
               8 - Invalid NEXT_HOP Attribute.
               9 - Optional Attribute Error.
              10 - Invalid Network Field.
              11 - Malformed AS_PATH.

Corrected Text
--------------
      Message Header Error subcodes:

               0 - Unspecific.
               1 - Connection Not Synchronized.
               2 - Bad Message Length.
               3 - Bad Message Type.

      OPEN Message Error subcodes:

               0 - Unspecific.
               1 - Unsupported Version Number.
               2 - Bad Peer AS.
               3 - Bad BGP Identifier.
               4 - Unsupported Optional Parameter.
               5 - [Deprecated - see Appendix A].
               6 - Unacceptable Hold Time.

      UPDATE Message Error subcodes:

               0 - Unspecific.
               1 - Malformed Attribute List.
               2 - Unrecognized Well-known Attribute.
               3 - Missing Well-known Attribute.
               4 - Attribute Flags Error.
               5 - Attribute Length Error.
               6 - Invalid ORIGIN Attribute.
               7 - [Deprecated - see Appendix A].
               8 - Invalid NEXT_HOP Attribute.
               9 - Optional Attribute Error.
              10 - Invalid Network Field.
              11 - Malformed AS_PATH.

Notes
-----
RFC 4271 defines a use and a name for Error subcode 0:
- §4.5 (any error code): 
         If no appropriate Error Subcode is defined, then a zero
         (Unspecific) value is used for the Error Subcode field.

- §6.2 (OPEN error code): 
   If one of the Optional Parameters in the OPEN message is recognized,
   but is malformed, then the Error Subcode MUST be set to 0
   (Unspecific).

If verified, the "IANA Considerations" section and the IANA registry would also need to be updated accordingly (currently says "0 Reserved")
http://www.iana.org/assignments/bgp-parameters/bgp-parameters.xhtml#bgp-parameters-4

--------------------------------------
RFC4271 (draft-ietf-idr-bgp4-26)
--------------------------------------
Title               : A Border Gateway Protocol 4 (BGP-4)
Publication Date    : January 2006
Author(s)           : Y. Rekhter, Ed., T. Li, Ed., S. Hares, Ed.
Category            : DRAFT STANDARD
Source              : Inter-Domain Routing
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Megan Ferguson <[email-masked]>
Date: Thu, 14 Jul 2016 20:19:27 -0700

All,

FYI - we forwarded this errata report to IANA and received confirmation that the requested updates have been made (please see http://www.iana.org/assignments/bgp-parameters).

We have updated the Notes field of this report as follows:

Old:

New:
The "IANA Considerations" section would also need to be updated accordingly (says "0 Reserved”).  However, IANA has corrected the corresponding registry at http://www.iana.org/assignments/bgp-parameters.

Thank you.

RFC Editor/mf